Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 453814

Summary: =media-gfx/igal-2.1 : Version bump
Product: Gentoo Linux Reporter: Agostino Sarubbo <ago>
Component: Current packagesAssignee: No maintainer - Look at https://wiki.gentoo.org/wiki/Project:Proxy_Maintainers if you want to take care of it <maintainer-needed>
Status: CONFIRMED ---    
Severity: enhancement CC: mzielenkiewicz
Priority: Normal    
Version: unspecified   
Hardware: All   
OS: Linux   
Whiteboard:
Package list:
Runtime testing required: ---
Attachments: Proposed ebuild

Description Agostino Sarubbo gentoo-dev 2013-01-24 12:59:13 UTC
$summary
Comment 1 Maciej Zielenkiewicz 2015-08-22 20:49:39 UTC
Please add ebuild for the new version. It needs an additional dependency for (optional) exif support, otherwise needs no adjustment. I'll attach my version.

--- /usr/portage/media-gfx/igal/igal-2.0.ebuild 2011-04-02 09:31:00.000000000 +0200
+++ igal-2.1.ebuild     2015-08-22 01:18:35.362397729 +0200
@@ -13,11 +13,12 @@
 LICENSE="GPL-2"
 SLOT="0"
 KEYWORDS="alpha amd64 ppc ppc64 sparc x86 ~amd64-linux ~x86-linux ~ppc-macos"
-IUSE=""
+IUSE="exif"

 RDEPEND="dev-lang/perl
        virtual/jpeg
-       || ( media-gfx/imagemagick media-gfx/graphicsmagick[imagemagick] )"
+       || ( media-gfx/imagemagick media-gfx/graphicsmagick[imagemagick] )
+       exif? ( media-libs/exiftool )"
 DEPEND=""

 S=${WORKDIR}/${MY_P}
Comment 2 Maciej Zielenkiewicz 2015-08-22 20:50:31 UTC
Created attachment 409890 [details]
Proposed ebuild